using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UnityEngine;

enum PoolType
{
    CNSearchItem,
    CourseItem
}
public class ChoiceItemPool
{
    private static ChoiceItemPool instance;
    public static ChoiceItemPool Instance
    {
        get
        {
            if (instance == null)
            {
                instance = new ChoiceItemPool();
            }
            return instance;
        }
    }
    private Dictionary<PoolType,Queue<GameObject>> pool = new Dictionary<PoolType,Queue<GameObject>>();
    public GameObject GetObj(string poolType)
    {
        return new GameObject();
    }

}
